Loading...
Searching...
No Matches
_PedPartition Struct Reference
PedDisk » PedPartition

PedPartition structure represents a partition. More...

`#include <disk.h>`

## Data Fields

PedDisk * | disk
void * | disk_specific
const PedFileSystemType * | fs_type
| Only used for an extended partition.
PedGeometry | geom
| geometry of the partition
PedPartition * | next
| the partition table of the partition
int | num
PedPartition * | part_list
PedPartition * | prev
PedPartitionType | type
| the type of partition: a bit field of PED_PARTITION_LOGICAL, PED_PARTITION_EXTENDED, PED_PARTITION_METADATA and PED_PARTITION_FREESPACE.

## Detailed Description

PedPartition structure represents a partition.

## Field Documentation

## disk

PedDisk * _PedPartition::disk

## disk_specific

void * _PedPartition::disk_specific

## fs_type

const PedFileSystemType * _PedPartition::fs_type

Only used for an extended partition.

The list of logical partitions (and free space and metadata within the extended partition).

## geom

PedGeometry _PedPartition::geom

geometry of the partition

the partition number: In Linux, this is the same as the minor number. No assumption should be made about "num" and "type"

- different disk labels have different rules.

## next

PedPartition * _PedPartition::next

the partition table of the partition

## num

int _PedPartition::num

## part_list

PedPartition * _PedPartition::part_list

## prev

PedPartition * _PedPartition::prev

## type

PedPartitionType _PedPartition::type

the type of partition: a bit field of PED_PARTITION_LOGICAL, PED_PARTITION_EXTENDED, PED_PARTITION_METADATA and PED_PARTITION_FREESPACE.

Both the first two, and the last two are mutually exclusive. An extended partition is a primary partition that may contain logical partitions. There is at most one extended partition on a disk. A logical partition is like a primary partition, except it's inside an extended partition. Internally, pseudo partitions are allocated to represent free space, or disk label meta-data. These have the PED_PARTITION_FREESPACE or PED_PARTITION_METADATA bit set. The type of file system on the partition. NULL if unknown.

The documentation for this struct was generated from the following files:

- include/parted/disk.h
- include/parted/disk.in.h